{% sw_extends '@Storefront/storefront/layout/header/header.html.twig' %}
{% block layout_top_bar %}{% endblock %}

{% block layout_header_navigation %}
	<div class="row align-items-center header-row p-0">
		{% block layout_header_logo %}
			<div class="col-12 col-lg-auto header-logo-col p-0">
				{% sw_include '@Storefront/storefront/layout/header/logo.html.twig' %}
			</div>
		{% endblock %}
		
		{% block layout_header_search %}
			<div class="col-12 col-md header-navigation-col justify-content-center">
				{% sw_include '@Storefront/storefront/layout/navigation/navigation.html.twig' %}
			</div>
		{% endblock %}

		{% block layout_header_actions %}
			<div class="col-12 order-1 col-sm-auto order-sm-2 header-actions-col">
				<div class="row no-gutters">
					{% block layout_header_navigation_toggle %}
						<div class="col d-sm-none">
							<div class="menu-button">
								{% block layout_header_navigation_toggle_button %}
									<button class="btn nav-main-toggle-btn header-actions-btn"
										type="button"
										data-offcanvas-menu="true"
										aria-label="{{ "general.menuLink"|trans|striptags }}">
										{% block layout_header_navigation_toggle_button_icon %}
											{% sw_icon 'stack' style { 'color': 'primary' } %}
										{% endblock %}
									</button>
								{% endblock %}
							</div>
						</div>
					{% endblock %}
								
					{% block layout_header_search_toggle %}

					{% endblock %}
								
					{% block layout_header_actions_account %}
						<div class="col-auto">
							<div class="account-menu">
								{% sw_include '@Storefront/storefront/layout/header/actions/account-widget.html.twig' %}
							</div>
						</div>
					{% endblock %}
								
					{% block layout_header_actions_cart %}
						<div class="col-auto">
							<div class="header-cart"
								data-offcanvas-cart="true">
								<a class="btn header-cart-btn header-actions-btn"
									href="{{ path('frontend.checkout.cart.page') }}"
									data-cart-widget="true"
									title="{{ 'checkout.cartTitle'|trans|striptags }}"
									aria-label="{{ 'checkout.cartTitle'|trans|striptags }}">
									{% sw_include '@Storefront/storefront/layout/header/actions/cart-widget.html.twig' %}
								</a>
							</div>
						</div>
					{% endblock %}
				</div>
			</div>
		{% endblock %}
	</div>
{% endblock %}